net.dontdrinkandroot.visualization.display

## Interface Display

All Known Implementing Classes:
  ImageDisplay, PdfDisplay

    public interface Display

### Method Summary

Methods
`byte[]` `renderToBytes(Layout<?> layout)`
`void` `renderToFile(Layout<?> layout, File file)`
`void` `renderToOutputStream(Layout<?> layout, OutputStream outputStream)`

### Method Detail

#### renderToFile

    void renderToFile(Layout<?> layout,
                    File file)
                      throws IOException,
                             LayoutException

Throws:
  `IOException`
  `LayoutException`

#### renderToOutputStream

    void renderToOutputStream(Layout<?> layout,
                            OutputStream outputStream)
                              throws IOException,
                                     LayoutException

Throws:
  `IOException`
  `LayoutException`

#### renderToBytes

    byte[] renderToBytes(Layout<?> layout)
                         throws IOException,
                                LayoutException

Throws:
  `IOException`
  `LayoutException`